org.apache.ignite.startup.cmdline

## Class CommandLineStartup

- java.lang.Object
- - org.apache.ignite.startup.cmdline.CommandLineStartup

-     public final class CommandLineStartup
      extends Object

  This class defines command-line Ignite startup. This startup can be used to start Ignite outside of any hosting environment from command line. This startup is a Java application with `main(String[])` method that accepts command line arguments. It accepts just one parameter which is Spring XML configuration file path. You can run this class from command line without parameters to get help message.

  Note that scripts `${IGNITE_HOME}/bin/ignite.{sh|bat}` shipped with Ignite use this startup and you can use them as an example.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DFLT_PROG_NAME`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isHelp(String arg)` Tests whether argument is help argument.
    `static void` | `main(String[] args)` Main entry point.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DFLT_PROG_NAME

          public static final String DFLT_PROG_NAME

      See Also:
        `IgniteSystemProperties.IGNITE_PROG_NAME`, Constant Field Values

  - ### Method Detail

    - #### isHelp

          public static boolean isHelp(String arg)

      Tests whether argument is help argument.
      Parameters:
        `arg` - Command line argument.
      Returns:
        `true` if given argument is a help argument, `false` otherwise.

    - #### main

          public static void main(String[] args)

      Main entry point.
      Parameters:
        `args` - Command line arguments.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023